Page MenuHomePhabricator

Make ORES prediction disappear when the edit is reviewed by someone else with Flagged Revisions
Closed, ResolvedPublic

Description

Another request from Polish Wikipedia: when an edit is reviewed[1], the "r" is an outdated alert. For good-faith newbies, it's also embarrassing to have "r"s on their contributions page.

[1] On Polish Wikipedia, this means marked as such.

Related Objects

StatusAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
OpenNone
ResolvedJohan
ResolvedTrizek-WMF
Resolved jmatazzoni
ResolvedDannyH
ResolvedDannyH
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedPginer-WMF
Resolved jmatazzoni
ResolvedCatrope
ResolvedPginer-WMF
Resolved jmatazzoni
OpenNone
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedSBisson

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

The idea would be then to use Patrolled edits and FlaggedRevisions validation systems.

Generally speaking, yes, although on Polish Wikipedia, it's about the FlaggedRevs only. We don't use Patrolled edits at all.

@Catrope, can this be done? If it can, why don't we, for example, let people know which edits had been reverted, which would be very useful I'd think.

I was thinking again on it.

If someone reviews the edit and approves it, it is gone.

What about the case when others don't trust the revisions done by some users? In this case, we need to keep the "r" visible for everyone. Maybe have a choice in preferences, like:
( ) Don't show the predictions
( ) Show predictions for edits that haven't been reviewed
( ) Always show the predictions

Two things should be taken into account for pros and cons:

  • not discouraging newbies (and others) by prominently broadcasting their unreviewed (or possibly(!) damaging edits to everyone else)
  • keeping reasonable records (some sort of audit trail) on edits that presented problems

Presently, 'r' means "This edit may be damaging and should be reviewed", but we do not have a mechanism of actually reviewing it. There is no way to "approve" it. Undoing 'r' marked edits (or edit them in any sense) does not remove 'r' from the previously marked records. It's not the case as with 'Patrolling' when a user with patrol rights can click to review and it removes the patrol flag. Even with patrolling, Recent changes does not inform that such and such pages were patrolled - the flag "This edit has not yet been patrolled" is removed, that's all.

I am for deleting 'r' completely since edits required reviewing can be easily found with specific RC filter combinations.

There's an existing feature that removes the R for patrolled edits, it just looks at RC patrol rather than FlaggedRevs review. We might be able to extend that to FR, or make FR automatically mark as patrolled edits that are reviewed.

Mattflaschen-WMF renamed this task from Make ORES prediction disappear when the edit is reviewed to Make ORES prediction disappear when the edit is reviewed with Flagged Revisions.Apr 3 2017, 9:43 PM

My testing indicates that FlaggedRevs does update the rc_patrolled flag when a revision is reviewed. See RevisionReviewForm::updateRecentChanges

When the rc_patrolled flag is updated in the recentchanges table, both the red exclamation mark (!) and the ORES "r" should go away.

My testing indicates that FlaggedRevs does update the rc_patrolled flag when a revision is reviewed. See RevisionReviewForm::updateRecentChanges
When the rc_patrolled flag is updated in the recentchanges table, both the red exclamation mark (!) and the ORES "r" should go away.

It looks like the culprit is that $wgUseRCPatrol is set to false on plwiki. If we set it to true, then this functionality would presumably start working automatically. That seems suboptimal though, so maybe we should consider changing the FR code to set rc_patrolled even if $wgUseRCPatrol is not enabled?

Change 348937 had a related patch set uploaded (by Sbisson):
[mediawiki/extensions/FlaggedRevs@master] Synchronize rc_patrolled despite $wgUseRCPatrol

https://gerrit.wikimedia.org/r/348937

Change 348937 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Synchronize rc_patrolled despite $wgUseRCPatrol

https://gerrit.wikimedia.org/r/348937

I've noticed Polish Wikipedia about this future change.

Etonkovidova added a comment.EditedApr 22 2017, 12:17 AM

@SBisson I was testing the fix on betalabs cawiki (which does not have FlaggedRevs). It seems that 'Contributions' will display highlighting and 'r' after the edit was marked as patrolled.

You can see the example on https://ca.wikipedia.beta.wmflabs.org/wiki/Especial:Canvis_recents.

  • the RC filters beta feature may be on or off -not important
  • turn both highlight settings on - in Preferences RC (if you do not have filters ON) and on Preferences Watchlist

The first edit in screenshots is marked with '!', 'r' and highlighting.
The screenshot without RC filters

The same with RC filters

After marking the edit as patrolled, only Contributions still displays highlighting and 'r' :

After marking the edit as patrolled, only Contributions still displays highlighting and 'r' :

Yes, Contributions is different, it does not depend on patrolled status. I don't know why. This is how the ORES extension has been written.

thx @SBisson!

To summarize (checked in enwiki and cawiki betalabs)

  • 'Mark as patrolled' will make 'r' and highlighting disappear on RC and Watchlist
  • FlaggedRevs 'Accept' certain version will make 'r' and highlighting disappear on RC and Watchlist
  • Damaging filter will find reviewed version (cause they are still ORES scored as damaging)
  • 'Contribution' page will display reviewed versions with 'r' and highlighting.

QA Recommendation: Product should weigh in

Mattflaschen-WMF renamed this task from Make ORES prediction disappear when the edit is reviewed with Flagged Revisions to Make ORES prediction disappear when the edit is reviewed by someone else with Flagged Revisions.May 4 2017, 5:26 PM
jmatazzoni closed this task as Resolved.May 4 2017, 5:27 PM